<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.generator.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'generator.getreturn.php',
    1 => 'Generator::getReturn',
  ),
  'up' => 
  array (
    0 => 'class.generator.php',
    1 => 'Generator',
  ),
  'prev' => 
  array (
    0 => 'generator.current.php',
    1 => 'Generator::current',
  ),
  'next' => 
  array (
    0 => 'generator.key.php',
    1 => 'Generator::key',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'pt_BR',
    'path' => 'language/predefined/generator/getreturn.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="generator.getreturn" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Generator::getReturn</h1>
  <p class="verinfo">(PHP 7, PHP 8)</p><p class="refpurpose"><span class="refname">Generator::getReturn</span> &mdash; <span class="dc-title">Obtém o valor de retorno de um gerador</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-generator.getreturn-description">
  <h3 class="title">Descrição</h3>
  <div class="methodsynopsis dc-description"><span class="modifier">public</span> <span class="methodname"><strong>Generator::getReturn</strong></span>(): <span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span></div>

 </div>


 <div class="refsect1 parameters" id="refsect1-generator.getreturn-parameters">
  <h3 class="title">Parâmetros</h3>
  <p class="para">Esta função não possui parâmetros.</p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-generator.getreturn-returnvalues">
  <h3 class="title">Valor Retornado</h3>
  <p class="para">
   Retorna o valor de retorno de um gerador, assim que finalizada sua execução.
  </p>
 </div>


<div class="refsect1 examples" id="refsect1-generator.getreturn-examples">
  <h3 class="title">Exemplos</h3>
  <p class="para">
   <div class="example" id="example-432">
    <p><strong>Exemplo #1 Exemplo do método <span class="methodname"><strong>Generator::getReturn()</strong></span></strong></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /><br />$gen </span><span style="color: #007700">= (function() {<br />    yield </span><span style="color: #0000BB">1</span><span style="color: #007700">;<br />    yield </span><span style="color: #0000BB">2</span><span style="color: #007700">;<br /><br />    return </span><span style="color: #0000BB">3</span><span style="color: #007700">;<br />})();<br /><br />foreach (</span><span style="color: #0000BB">$gen </span><span style="color: #007700">as </span><span style="color: #0000BB">$val</span><span style="color: #007700">) {<br />    echo </span><span style="color: #0000BB">$val</span><span style="color: #007700">, </span><span style="color: #0000BB">PHP_EOL</span><span style="color: #007700">;<br />}<br /><br />echo </span><span style="color: #0000BB">$gen</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">getReturn</span><span style="color: #007700">(), </span><span style="color: #0000BB">PHP_EOL</span><span style="color: #007700">;</span></span></code></div>
    </div>

    <div class="example-contents"><p>O exemplo acima produzirá:</p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">1
2
3</pre>
</div>
    </div>
   </div>
  </p>
 </div>

</div><?php manual_footer($setup); ?>